%global pypi_name requests

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        2.11.0
Release:        1%{?dist}
Summary:        Python HTTP for Humans

License:        Apache 2.0
URL:            http://python-requests.org
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       python(abi) >= 3.4

BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
 
%description
Most existing Python modules for sending HTTP requests are extremely verbose and
cumbersome. Python’s built-in urllib2 module provides most of the HTTP
capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

%prep
%setup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%doc README.rst LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Aug 15 2016 Daniel Uvehag <daniel.uvehag@gmail.com> - 2.11.0-1
- Initial package.
